apiVersion: v1
items:
- apiVersion: oadp.openshift.io/v1alpha1
  kind: DataProtectionApplication
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"oadp.openshift.io/v1alpha1","kind":"DataProtectionApplication","metadata":{"annotations":{},"name":"dpa-hub-a","namespace":"open-cluster-management-backup"},"spec":{"backupLocations":[{"velero":{"config":{"profile":"default","region":"us-east-1"},"credential":{"key":"cloud","name":"cloud-credentials"},"default":true,"objectStorage":{"bucket":"velero-backup-acm-vb","prefix":"demo-dec-9"},"provider":"aws"}}],"configuration":{"restic":{"enable":false},"velero":{"defaultPlugins":["openshift","aws","kubevirt"]}},"snapshotLocations":[{"velero":{"config":{"profile":"default","region":"us-west-2"},"provider":"aws"}}]}}
    creationTimestamp: "2023-01-03T20:56:07Z"
    generation: 2
    managedFields:
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          .: {}
          f:conditions: {}
      manager: manager
      operation: Update
      subresource: status
      time: "2023-01-03T20:56:07Z"
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:kubectl.kubernetes.io/last-applied-configuration: {}
        f:spec:
          .: {}
          f:configuration:
            .: {}
            f:restic:
              .: {}
              f:enable: {}
            f:velero:
              .: {}
              f:defaultPlugins: {}
          f:snapshotLocations: {}
      manager: oc
      operation: Update
      time: "2023-01-03T20:56:07Z"
    - apiVersion: oadp.openshift.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec:
          f:backupLocations: {}
      manager: Mozilla
      operation: Update
      time: "2023-01-03T21:24:38Z"
    name: dpa-hub-a
    namespace: open-cluster-management-backup
    resourceVersion: "90723"
    uid: fc31eaeb-af9e-4c00-814d-d65cfc0590bb
  spec:
    backupLocations:
    - velero:
        config:
          profile: default
          region: us-east-1
        credential:
          key: cloud
          name: cloud-credentials
        default: true
        objectStorage:
          bucket: velero-backup-acm-vb
          prefix: dec-22
        provider: aws
    configuration:
      restic:
        enable: false
      velero:
        defaultPlugins:
        - openshift
        - aws
        - kubevirt
    snapshotLocations:
    - velero:
        config:
          profile: default
          region: us-west-2
        provider: aws
  status:
    conditions:
    - lastTransitionTime: "2023-01-03T20:56:07Z"
      message: Reconcile complete
      reason: Complete
      status: "True"
      type: Reconciled
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
